<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<meta charset="utf-8" />
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<title>Log In User or Registration</title>
</head>
<body>
<div align="center"  class="text-danger" th:if="${param.error}">
    Nome utente o password errati!
  </div>
  <div align="center" th:if="${param.logout}">
    Hai effettuato il logout. A presto!
  </div>
  <div align="center" th:if="${successMessage}">
    <div th:text="${successMessage}"></div>
</div>
  <div align="center" th:if="${successMessageDelete}">
    <div th:text="${successMessageDelete}"></div>
</div>
    <div align="center">
        <br />
        <h1>Log in</h1>
        <div align = "center" sec:authorize="!isAuthenticated()">
        	<form action="#" th:action="@{/login}" th:object="${persona}"  method="post">
        	<div class="form-group">
        	<div align="left" class="col-md-4">
        	<hr>
    			<p><label type=text><b>Email</b> </label><input class="form-control" name="username" type="email" placeholder="Email"/></p>
        		<p><label type=text><b>Password</b> </label><input class="form-control" name="password" type="password"  placeholder="Password"/></p>
			</div>
			<button class="btn btn-primary" type="submit" >Login.</button>
    		</div>
    		</form>    
    		
    		<br>
    		<a href="\registerStudent">Registrazione Studente.</a> |
			<a href="\registerProfessor">Registrazione Professore.</a>
		</div>
    
    	<div align="center" sec:authorize="isAuthenticated()">
        	<form th:action="@{/logout}" method="post">
        		Sei già autenticato!<br>
		  	<span sec:authentication="name"></span>
		  	<input type="submit" value="Esci"/>
			</form>
			<div align="center">    
		        <a th:href="@{/paginaPersonale}">Vai alla pagina personale</a></div>
			</div>
		</div>
    
    </div>
</body>
</html>